Skip site navigation (1) Skip section navigation (2)

Re: ODBC Upgrades

From: "Curtis, Annette M" <Annette_Curtis(at)URMC(dot)Rochester(dot)edu>
To: "Dave Page" <dpage(at)postgresql(dot)org>
Cc: <pgsql-odbc(at)postgresql(dot)org>
Subject: Re: ODBC Upgrades
Date: 2007-05-04 15:02:45
Message-ID: AEF0A0CBD2185944A7C289D014F894DA5BEBDA@e2k3ms4.urmc-sh.rochester.edu (view raw or flat)
Thread:
Lists: pgsql-odbc
Dave,

When I uninstall the old driver and install the newer driver it is not
available in admin tools data sources as a driver to select from to
configure any type of DSN. In addition, when I have attempted to use the
newer MSI packages to install the ODBC it registers in the local machine
but not the current user. Any thoughts?

Thank you for your support.

  _____  

Annette Curtis - Database Manager
University of Rochester School of Nursing
office: (585) 275-5398
annette_curtis(at)urmc(dot)rochester(dot)edu
-----Original Message-----
From: Dave Page [mailto:dpage(at)postgresql(dot)org] 
Sent: Friday, May 04, 2007 10:56 AM
To: Curtis, Annette M
Cc: pgsql-odbc(at)postgresql(dot)org
Subject: Re: [ODBC] ODBC Upgrades

Curtis, Annette M wrote:
> Currently I have 08.00.0101 installed as PSQLODBC dated 03/05/2005. 
> Whenever I attempt to use the MSI installation of any of the later 
> versions this dll does not upgrade and nor does it install the latest 
> version of the MSI either.

No, it will only upgrade from an early revision - ie. 08.00.0101 -> 
08.00.0400. Uninstall the old driver first, and then install the new
one.
> 
> I am currently running PostgreSQL ver. 8.2.x which was just upgraded 
> from 7.4.x this week. I was able to reload the entire client for
PgAdmin 
> and it works successfully.
> 
>  
> 
> However, I am unable to update the ODBC file and currently have users 
> who are unable to access there databases since I am unable to update
the 
> ODBC client from the MSI installation. The majority of the users are
on 
> WinXP a few are still on Win2K.

Why are they unable to connect? The driver is backwards compatible with 
older servers, and the server is backward compatible with the older
clients.

Regards, Dave.

In response to

Responses

pgsql-odbc by date

Next:From: Peter EisentrautDate: 2007-05-04 16:00:29
Subject: Re: Driver manager detection in 08.02.0400 is broken
Previous:From: Dave PageDate: 2007-05-04 14:56:10
Subject: Re: ODBC Upgrades

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group